Grants, vesting & distributions

Bulk Add Grants

Bulk-creates ACCEPTED grants from rows keyed by roleInOrgExternalID, then generates vestings and template lockups.

POSThttps://api.toku.com/tga/bulk-add-grants

Not available to API keys yet. It will need grants:write.

curl --request POST \
  --url 'https://api.toku.com/tga/bulk-add-grants' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '[
  {
    "roleInOrgExternalID": "string",
    "tokenTypeID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "grantName": "string",
    "grantDescription": "string",
    "grantConfigurationName": "string",
    "grantConfigurationID": "string",
    "isExercisable": true,
    "vestingFrequencyType": "MONTHLY",
    "vestingCliffPeriods": 0,
    "lockup": 0,
    "vestingStartDate": "2026-01-01T00:00:00Z",
    "offPlatformDate": "2026-01-01T00:00:00Z",
    "isSection83bElectionEligible": true,
    "strikeDate": "2026-01-01T00:00:00Z",
    "grantDate": "2026-01-01T00:00:00Z",
    "allocationType": "string",
    "currency": "string",
    "taxCurrencyCode": "TRY",
    "grantTemplateID": "string",
    "grantAssetType": "TOKEN",
    "isCashCompensation": "string"
  }
]'
200 response
[
  "string"
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

roleInOrgExternalIDstringrequired
tokenTypeIDstring<uuid>
grantNamestringrequired
grantDescriptionstringrequired
grantConfigurationNamestringrequired
grantConfigurationIDstringrequired
isExercisablebooleanrequired
grantAmountanyrequired
grantAmountInFiatany
vestingFrequencyTypestringrequired

Available options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY

vestingPeriodsanyrequired
vestingCliffPeriodsnumberrequired
vestingCliffPercentageanyrequired
lockupnumberrequired
vestingStartDatestring<date-time>required
offPlatformDatestring<date-time>
isSection83bElectionEligiblebooleanrequired
strikeDatestring<date-time>
grantDatestring<date-time>
averageBasisany
allocationTypestring
currencystring
taxCurrencyCodestring

Available options: TRY, ILS, CRC, TTD, SGD, JPY, AUD, NOK, INR, GBP, CHF, RUB, CAD, BRL, NGN, KRW, AED, LBP, EUR, NZD, ZAR, USD, USDC, USDT, USDP, PHP, PLN, RSD, HKD, TWD, AFN, AMD, ANG, AOA, ARS, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BSD, BTN, BWP, BYN, BZD, CDF, CLF, CLP, CNY, COP, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, FJD, FKP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HNL, HRK, HTG, HUF, IDR, IQD, IRR, ISK, JMD, JOD, KES, KGS, KHR, KMF, KPW, KWD, KYD, KZT, LAK, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NPR, NIO, OMR, PAB, PEN, PGK, PKR, PYG, QAR, RON, RWF, SAR, SBD, SCR, SDG, SHP, SLL, SOS, SRD, SSP, STN, SVC, SYP, SZL, TJS, TMT, TND, TOP, TZS, UAH, UGX, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZMW, SEK, THB

pricePerUnitany
grantTemplateIDstring
grantAssetTypestring

Available options: TOKEN, FIAT

isCashCompensationstring

Response

200Successful response
string[]string[]
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits